Bug 520458 - RFE: IPv6 support for fencing agents
Summary: RFE: IPv6 support for fencing agents
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman
Version: 5.3
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 557292 5.5TechNotes-Updates
TreeView+ depends on / blocked
 
Reported: 2009-08-31 15:06 UTC by Marek Grac
Modified: 2016-04-26 13:43 UTC (History)
7 users (show)

Fixed In Version: cman-2.0.115-4.el5
Doc Type: Technology Preview
Doc Text:
Cause: attempt to use IPv6 only in cluster Consequences: fence agent doesn't work with IPv6 if IPv4 is enabled Fix: options -4/-6 (inet4_only/inet6_only) use only given protocol Result: fence agents can specify which IP protocol they should use.
Clone Of:
Environment:
Last Closed: 2010-03-30 08:41:34 UTC


Attachments (Terms of Use)
Proposed patch (7.92 KB, patch)
2009-08-31 15:18 UTC, Marek Grac
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0266 normal SHIPPED_LIVE cman bug fix and enhancement update 2010-03-29 12:54:44 UTC

Description Marek Grac 2009-08-31 15:06:34 UTC
Description of problem:

It should be possible to force usage of IPv4/IPv6 in fencing agents.

Comment 1 Marek Grac 2009-08-31 15:18:35 UTC
Created attachment 359279 [details]
Proposed patch

Updated patch from upstream

Comment 10 Marek Grac 2010-02-12 10:39:37 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause: attempt to use IPv6 only in cluster
Consequences: fence agent doesn't work with IPv6 if IPv4 is enabled
Fix: options -4/-6 (inet4_only/inet6_only) use only given protocol
Result: fence agents can specify which IP protocol they should use.

Comment 12 errata-xmlrpc 2010-03-30 08:41:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0266.html


Note You need to log in before you can comment on or make changes to this bug.